Welcome to the Cumulus Support forum.

Latest Cumulus MX release 3.8.4 (build 3094) - 14 September 2020 (please see announcement regarding releases since 3.5.0)
Legacy Cumulus 1 release v1.9.4 (build 1099) - 28 November 2014 (a patch is available for 1.9.4 build 1099 that extends the date range of the NOAA report and Snow Index drop-down menus to 2030)

Use this Wiki link to Download the Software (Cumulus MX / Cumulus 1 and other related items).

Test 4.2.0 beta

Discussion of the Cumulusutils tool and website generator.

Moderator: HansR

User avatar
rogerthn
Posts: 280
Joined: Thu 11 Apr 2013 6:31 pm
Weather Station: Ecowitt GW1000/GW1003
Operating System: Raspberry Pi OS Lite Buster
Location: Trollhättan Sweden
Contact:

Test 4.2.0 beta

Post by rogerthn »

I do not think that issues below are caused by the beta version ;)
As said elsewhere I do have and old Oregon Scientific WMR88 with data since the 7:th of april 2013.
Until recently I was using CumulusMX version 3038 but I'm now running version 3090 see, https://rogerthn.se/weather2/index.htm.
The main reason for the upgrade was that I wanted to create NOAA reports, I cannot compare high and lows between the old and the new WS see, https://rogerthn.se/weather3/index.htm and https://rogerthn.se/cumulusutils/ but NOAA from the old might be useful

Once I had 3090 in place the next task was Cumulusutils, BUT :(
Cumulusutils needs lshw and the Raspberry Pi Model B Plus Rev 1.2 is running Raspbian GNU/Linux 7 (wheezy) i.e. support has ended and when trying to build lshw from source I did end up with "broken dependencies" :bash:

To minimize the risk of losing new daily data from the old WS I decided to use an old Raspberry Pi 2 Model B Rev 1.1
This is now running Raspbian GNU/Linux 10 (buster) with mono version 5.18.0.240 and lshw :lol:

Over to Cumulusutils:
Copy /home/pi/CumulusMX/ from old to new and unzip of cumulusutils v420beta.zip to /home/pi/CumulusMX/utils/

Code: Select all

chmod +x /home/pi/CumulusMX/utils/cumulusutils.exe
cp -p /home/pi/CumulusMX/utils/cumulusutils.exe /home/pi/CumulusMX/
cd /home/pi/CumulusMX/
./cumulusutils.exe All
This has now been running since 16:54 :o
There was an error in data/jan17log.txt but it did continue
Now the real issue, it looks like windrose creation is "out of sync"
2020-08-16 16:57:18.391 WindRose : Start writing the javascript menu.
2020-08-16 16:57:18.393 WindRose : Start writing HTML Style and Menu.
2020-08-16 16:57:18.421 WindRose : Start Writing the javascript graph function.
2020-08-16 16:57:18.601 WindRose : Start writing the javascript data arrays.
2020-08-16 16:57:18.601 WindRose : Start writing year: 1
2020-08-16 16:57:28.669 WindRose : Start writing year: 2
2020-08-16 16:57:38.735 WindRose : Start writing year: 3
2020-08-16 16:57:48.778 WindRose : Start writing year: 4
2020-08-16 16:57:58.821 WindRose : Start writing year: 5
The current last line is
2020-08-16 19:06:20.757 WindRose : Start writing year: 767
Attaching log and windrose.txt zipped as they are now

Please note that the data is in "Swedish"

Code: Select all

sudo mono CumulusMX.exe -lang sv-SE
You do not have the required permissions to view the files attached to this post.
Image

User avatar
HansR
Posts: 1380
Joined: Sat 20 Oct 2012 6:53 am
Weather Station: Davis Vantage Pro 2+
Operating System: Raspbian GNU/Linux 10 (Buster)
Location: Wagenborgen (NL)
Contact:

Re: Test 4.2.0 beta

Post by HansR »

As you are apparently running more than one weather station and now you are going to run CumulusUtils apparently on the other stations as well, I think it is best to identify the installation and tell what you have installed. Telling a story is OK, but somewhat confusing.

My summary from what you wrote is that you run:
  1. Station: weather2
    1. CumulusMX: version 3.8.0 build 3090
    2. CumulusUtils: 4.2.0 beta
    3. OS: Raspbian GNU/Linux 10 (buster) with mono version 5.18.0.240
OK? So that is a station which has years of data and is not the one you just started.
If I understand well, you tried CumulusUtils on that dataset and apparently something goes wrong with the WindRose calculation.

If the above is correct (notify me if it's wrong) then I continue with the error you encountered.
Apparently the Windrose starts at year 0 (and continues). There is a data error.
I agree it probably has nothing to do with the beta version itself.

My guess is the data is the cause. Although many errors are automatically caught and some are correctable, it is not impossible you have an uncorrectable error.

I suggest:
  1. set the inifile parameter IgnoreDataErrors to true.
  2. run Cumulusutils with CheckOnly as commandline parameter.
  3. check the logfile and correct your datafiles where required.
  4. retry your original command (leave IgnoreDataErrors to true)
Check the results.
If Success: OK.
If NOT send me all your datafiles of this station and I'll look at it.
https://meteo-wagenborgen.nl / Cumulus 3.6.8 (build: 3084)
Davis Vantage Pro 2+ / Raspberry Pi 3 Model B Plus Rev 1.3
Raspbian Buster / 5.4.51-v7+ armv7l (before: 4.19.118)
Mono JIT compiler version 6.10.0.104 (before: 6.8.0.123)

User avatar
rogerthn
Posts: 280
Joined: Thu 11 Apr 2013 6:31 pm
Weather Station: Ecowitt GW1000/GW1003
Operating System: Raspberry Pi OS Lite Buster
Location: Trollhättan Sweden
Contact:

Re: Test 4.2.0 beta

Post by rogerthn »

HansR wrote:
Mon 17 Aug 2020 4:00 pm
As you are apparently running more than one weather station and now you are going to run CumulusUtils apparently on the other stations as well, I think it is best to identify the installation and tell what you have installed. Telling a story is OK, but somewhat confusing.

My summary from what you wrote is that you run:
  1. Station: weather2
    1. CumulusMX: version 3.8.0 build 3090
    2. CumulusUtils: 4.2.0 beta
    3. OS: Raspbian GNU/Linux 10 (buster) with mono version 5.18.0.240
I am running CumulusUtils: 4.2.0 beta as above but CumulusMX is not running on Buster and I cannot run CumulusUtils on the wheezy
Files are copied over from wheezy as below, id_rsa.pub in authorized_keys :P

Code: Select all

sudo rsync -av --delete --exclude={'cumulusutils.exe','cumulusutils.ini','CUstringsEN.ini','utils'} /home/pi/CumulusMX/ root@<"Buster">:/home/pi/CumulusMX/
HansR wrote:
Mon 17 Aug 2020 4:00 pm
OK? So that is a station which has years of data and is not the one you just started.
If I understand well, you tried CumulusUtils on that dataset and apparently something goes wrong with the WindRose calculation.
Correct!
HansR wrote:
Mon 17 Aug 2020 4:00 pm
If the above is correct (notify me if it's wrong) then I continue with the error you encountered.
Apparently the Windrose starts at year 0 (and continues). There is a data error.
I agree it probably has nothing to do with the beta version itself.

My guess is the data is the cause. Although many errors are automatically caught and some are correctable, it is not impossible you have an uncorrectable error.

I suggest:
  1. set the inifile parameter IgnoreDataErrors to true.
  2. run Cumulusutils with CheckOnly as commandline parameter.
  3. check the logfile and correct your datafiles where required.
  4. retry your original command (leave IgnoreDataErrors to true)
Check the results.
If Success: OK.
If NOT send me all your datafiles of this station and I'll look at it.
I'll report back!
Image

User avatar
HansR
Posts: 1380
Joined: Sat 20 Oct 2012 6:53 am
Weather Station: Davis Vantage Pro 2+
Operating System: Raspbian GNU/Linux 10 (Buster)
Location: Wagenborgen (NL)
Contact:

Re: Test 4.2.0 beta

Post by HansR »

You need the correct cumulus.ini and cumulusutils.ini file as well!
You can't just run CumulusUtils on another system, there must be CumulusMX as well and the configurations must match.
And make sure you set Upload to false, otherwise you start confusing the websites as well!

I am confused, let alone what the software is :)
https://meteo-wagenborgen.nl / Cumulus 3.6.8 (build: 3084)
Davis Vantage Pro 2+ / Raspberry Pi 3 Model B Plus Rev 1.3
Raspbian Buster / 5.4.51-v7+ armv7l (before: 4.19.118)
Mono JIT compiler version 6.10.0.104 (before: 6.8.0.123)

User avatar
rogerthn
Posts: 280
Joined: Thu 11 Apr 2013 6:31 pm
Weather Station: Ecowitt GW1000/GW1003
Operating System: Raspberry Pi OS Lite Buster
Location: Trollhättan Sweden
Contact:

Re: Test 4.2.0 beta

Post by rogerthn »

HansR wrote:
Mon 17 Aug 2020 4:59 pm
You need the correct cumulus.ini and cumulusutils.ini file as well!
You can't just run CumulusUtils on another system, there must be CumulusMX as well and the configurations must match.
And make sure you set Upload to false, otherwise you start confusing the websites as well!

I am confused, let alone what the software is :)
Everything regarding CumulusMX was an exact copy!
I did run cumulusutils for the very first time, hence no cumulusutils.ini?
I did assume that I can run cumulusutils without CumulusMX running?
Upload will be false while I'm testing cumulusutils with +7 years of data
Image

User avatar
HansR
Posts: 1380
Joined: Sat 20 Oct 2012 6:53 am
Weather Station: Davis Vantage Pro 2+
Operating System: Raspbian GNU/Linux 10 (Buster)
Location: Wagenborgen (NL)
Contact:

Re: Test 4.2.0 beta

Post by HansR »

rogerthn wrote:
Mon 17 Aug 2020 5:14 pm
Everything regarding CumulusMX was an exact copy!
I did run cumulusutils for the very first time, hence no cumulusutils.ini?
OK
rogerthn wrote:
Mon 17 Aug 2020 5:14 pm
I did assume that I can run cumulusutils without CumulusMX running?
Correct. Since 4.0.0 you may miss data if you require things from the webtag API. I don't think that is the case here.
rogerthn wrote:
Mon 17 Aug 2020 5:14 pm
Upload will be false while I'm testing cumulusutils with +7 years of data
OK
https://meteo-wagenborgen.nl / Cumulus 3.6.8 (build: 3084)
Davis Vantage Pro 2+ / Raspberry Pi 3 Model B Plus Rev 1.3
Raspbian Buster / 5.4.51-v7+ armv7l (before: 4.19.118)
Mono JIT compiler version 6.10.0.104 (before: 6.8.0.123)

User avatar
rogerthn
Posts: 280
Joined: Thu 11 Apr 2013 6:31 pm
Weather Station: Ecowitt GW1000/GW1003
Operating System: Raspberry Pi OS Lite Buster
Location: Trollhättan Sweden
Contact:

Re: Test 4.2.0 beta

Post by rogerthn »

IgnoreDataErrors was true
CheckOnly, no errors
./cumulusutils.exe All completed in less than 5 minutes

New try from scratch i.e. cumulusutils.ini, CUstringsEN.ini and all created txt files moved away
./cumulusutils.exe All completed in less than 5 minutes

It does looks like the error below wasn't "good" :lol:
2020-08-16 16:56:10.987 ReadMonthlyLogs: reading data/jan17log.txt
2020-08-16 16:56:11.572 MonthfileValue.SetValues fail: String was not recognized as a valid DateTime.
2020-08-16 16:56:11.572 MonthfileValue.SetValues: in field nr 1 (thisTime)
2020-08-16 16:56:11.573 MonthfileValue.SetValues: line is: ^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@
^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@17/01/17,13:45,0.5,96,-0.1,1.6,2.4,199,0.0,0.0,1028.0,463.8,20.1,26,2.1,-1.3,0.5,0.0,0,0.00,0.00,-2.6,65,0.0,180,0.0,0.0
2020-08-16 16:56:11.590 Monthfile.SetValues : Continuing to read data
2020-08-16 16:56:12.105 Monthfile : EOF detected
2020-08-16 16:56:12.120 ReadMonthlyLogs: reading data/jan18log.txt
Suggestions for new users?
./cumulusutils.exe All CheckOnly
Correct any erros
./cumulusutils.exe All

PS
CheckOnly does create cumulusutils.ini :D
Image

User avatar
rogerthn
Posts: 280
Joined: Thu 11 Apr 2013 6:31 pm
Weather Station: Ecowitt GW1000/GW1003
Operating System: Raspberry Pi OS Lite Buster
Location: Trollhättan Sweden
Contact:

Re: Test 4.2.0 beta

Post by rogerthn »

This might be related to Beta?
2020-08-17 21:47:51.622 Invalid Language for gauges: SV
2020-08-17 21:47:51.622 Invalid Culture for the system : sv-SE
nn-NO is OK
Image

User avatar
HansR
Posts: 1380
Joined: Sat 20 Oct 2012 6:53 am
Weather Station: Davis Vantage Pro 2+
Operating System: Raspbian GNU/Linux 10 (Buster)
Location: Wagenborgen (NL)
Contact:

Re: Test 4.2.0 beta

Post by HansR »

rogerthn wrote:
Mon 17 Aug 2020 7:03 pm
IgnoreDataErrors was true
CheckOnly, no errors
./cumulusutils.exe All
I'll add it to the instruction.
(Without the duration because that is heavily dependent on the amount of data and the machine you are running on.
rogerthn wrote:
Mon 17 Aug 2020 7:03 pm
2020-08-17 21:47:51.622 Invalid Language for gauges: SV
2020-08-17 21:47:51.622 Invalid Culture for the system : sv-SE
No that is not related to the beta, that has to do with language. See the manual for that.
I asked you some time ago if you were going to translate and you said no, you were not.
So now you want to use the Swedish language. The code for the standard Swedish language is sv-SE (beside that there are se-SE, smj-SE, sma-SE). This means that to make Swedish possible we need to make some modifications.

The new language system uses the language code sv-SE. Using that, a language file will be created and you have to create your own translation (compare to nn-NO which was created by Sutne). When finished you can upload it in this forum to make it available to others.

For the gauges the file language.js exists and has an entry SE. I will change that into SV so with the next release you will find the the gauges also have Swedish.
Finally I need to add SV to the accepted languages (which requires some coding in CumulusUtils).

If you want to add se, smj and sma as well, let me know: three letter coded languages require some additional adaptations.
https://meteo-wagenborgen.nl / Cumulus 3.6.8 (build: 3084)
Davis Vantage Pro 2+ / Raspberry Pi 3 Model B Plus Rev 1.3
Raspbian Buster / 5.4.51-v7+ armv7l (before: 4.19.118)
Mono JIT compiler version 6.10.0.104 (before: 6.8.0.123)

sutne
Posts: 102
Joined: Sun 14 Oct 2012 4:23 pm
Weather Station: Oregon Scientific WMR100
Operating System: Raspbian Buster
Location: Rjoanddalen, Voss, Norway

Re: Test 4.2.0 beta

Post by sutne »

language.js (file for Gauges) uses LANG.SE

SE is a language code but it is a Sami language.

It should be changed to LANG.SV

Probable SE is used somewhere else where it should SV.

User avatar
rogerthn
Posts: 280
Joined: Thu 11 Apr 2013 6:31 pm
Weather Station: Ecowitt GW1000/GW1003
Operating System: Raspberry Pi OS Lite Buster
Location: Trollhättan Sweden
Contact:

Re: Test 4.2.0 beta

Post by rogerthn »

HansR wrote:
Mon 17 Aug 2020 8:34 pm
...The code for the standard Swedish language is sv-SE (beside that there are se-SE, smj-SE, sma-SE). This means that to make Swedish possible we need to make some modifications.

The new language system uses the language code sv-SE. Using that, a language file will be created...

Code: Select all

grep Language cumulusutils.ini
Language=sv-SE

Code: Select all

./cumulusutils.exe All

Code: Select all

head -12 CumulusMX/utils/utilslog/2008180805cumulusutils.log
2020-08-18 08:05:09.366 Support constructor
2020-08-18 08:05:09.434 Support constructor : Unit Wind (m/s, mph, km/h, kts): 0
2020-08-18 08:05:09.434 Support constructor : Unit Pressure (mb,hPa,inHg): 1
2020-08-18 08:05:09.434 Support constructor : Unit Rain (mm,in): 0
2020-08-18 08:05:09.435 Support constructor : Unit T (C,F): 0
2020-08-18 08:05:09.437 Invalid Language for gauges: SV
2020-08-18 08:05:09.437 Invalid Culture for the system : sv-SE
2020-08-18 08:05:09.437 Using English GB locale : en-GB
2020-08-18 08:05:09.440 CUstrings[xx].ini : CUstringsEN.ini looked for.
2020-08-18 08:05:09.568 CumulusUtils : ----------------------------
2020-08-18 08:05:09.568 CumulusUtils : Entering Main
2020-08-18 08:05:09.643 CommandLineArgs : starting
I do know that I need to do "some" translations if I decide to use Swedish bit first I need a CUstringsSV.ini?
Image

User avatar
HansR
Posts: 1380
Joined: Sat 20 Oct 2012 6:53 am
Weather Station: Davis Vantage Pro 2+
Operating System: Raspbian GNU/Linux 10 (Buster)
Location: Wagenborgen (NL)
Contact:

Re: Test 4.2.0 beta

Post by HansR »

HansR wrote:
Mon 17 Aug 2020 8:34 pm
For the gauges the file language.js exists and has an entry SE. I will change that into SV so with the next release you will find the the gauges also have Swedish.
Finally I need to add SV to the accepted languages (which requires some coding in CumulusUtils).
@sutne, @rogerthn: Yes, that is right, I said that (we were writing at the same time) and I will add that to the 4.2.0 final release (today or tomorrow). With that release the sv-SE language code will be an accepted code, and thus the CUstringsSV.ini will be generated and the language.js file (in the distribution) will be modified for LANG.SV.
https://meteo-wagenborgen.nl / Cumulus 3.6.8 (build: 3084)
Davis Vantage Pro 2+ / Raspberry Pi 3 Model B Plus Rev 1.3
Raspbian Buster / 5.4.51-v7+ armv7l (before: 4.19.118)
Mono JIT compiler version 6.10.0.104 (before: 6.8.0.123)

User avatar
rogerthn
Posts: 280
Joined: Thu 11 Apr 2013 6:31 pm
Weather Station: Ecowitt GW1000/GW1003
Operating System: Raspberry Pi OS Lite Buster
Location: Trollhättan Sweden
Contact:

Re: Test 4.2.0 beta

Post by rogerthn »

HansR wrote:
Tue 18 Aug 2020 6:49 am
@sutne, @rogerthn: Yes, that is right, I said that (we were writing at the same time) and I will add that to the 4.2.0 final release (today or tomorrow). With that release the sv-SE language code will be an accepted code, and thus the CUstringsSV.ini will be generated and the language.js file (in the distribution) will be modified for LANG.SV.
OK!
Image

User avatar
rogerthn
Posts: 280
Joined: Thu 11 Apr 2013 6:31 pm
Weather Station: Ecowitt GW1000/GW1003
Operating System: Raspberry Pi OS Lite Buster
Location: Trollhättan Sweden
Contact:

Re: Test 4.2.0 beta

Post by rogerthn »

Like the British and the metric system, getting there inch by inch :lol:
https://rogerthn.se/cumulusutils2/ update frequency might vary
https://rogerthn.se/cumulusutils/ will remain in English but there might be a new Topic
Image

User avatar
HansR
Posts: 1380
Joined: Sat 20 Oct 2012 6:53 am
Weather Station: Davis Vantage Pro 2+
Operating System: Raspbian GNU/Linux 10 (Buster)
Location: Wagenborgen (NL)
Contact:

Re: Test 4.2.0 beta

Post by HansR »

Yes, that is the utils way to make multiligual sites: just duplicate and you can make a menuchoice (or button somewhere) to go to the other language.

You don't need to make another thread. I get the point. I see whats happening in the title header ;)
https://meteo-wagenborgen.nl / Cumulus 3.6.8 (build: 3084)
Davis Vantage Pro 2+ / Raspberry Pi 3 Model B Plus Rev 1.3
Raspbian Buster / 5.4.51-v7+ armv7l (before: 4.19.118)
Mono JIT compiler version 6.10.0.104 (before: 6.8.0.123)

Post Reply